# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LODEvaluator Class Reference

Abstract class to compute the appropriate LOD of an Actor or Effect. More...

`#include <LODEvaluator.hpp>`

Inheritance diagram for vl::LODEvaluator:

List of all members.

## Public Member Functions

| LODEvaluator ()
virtual int | evaluate (Actor *actor, Camera *camera)=0
virtual const char * | className ()
| Returns the name of the class.

## Detailed Description

Abstract class to compute the appropriate LOD of an Actor or Effect.

See also:
  - DistanceLODEvaluator
  - PixelLODEvaluator

Definition at line 50 of file LODEvaluator.hpp.

## Constructor & Destructor Documentation

vl::LODEvaluator::LODEvaluator | ( | ) | `[inline]`

Definition at line 53 of file LODEvaluator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual int vl::LODEvaluator::evaluate | ( | Actor * | actor,
|  | Camera * | camera
| ) |  | `[pure virtual]`

Implemented in vl::DistanceLODEvaluator, and vl::PixelLODEvaluator.

virtual const char* vl::LODEvaluator::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::DistanceLODEvaluator, and vl::PixelLODEvaluator.

Definition at line 58 of file LODEvaluator.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/LODEvaluator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.